<template>
	<view style="padding: 20rpx;" :style="themeColor">
		<rich-text :nodes="content"></rich-text>
	</view>
</template>

<script>
import htmlParser from '@/common/js/html-parser';
export default {
    data() {
        return {
			content:'',
			type:'',
			uniacid:0
        };
    },
    onLoad(option) {
		this.type = option.type
		this.uniacid = option.uniacid?option.uniacid:0
		
        this.isIphoneX = this.$util.uniappIsIPhoneX()
		 this.getcontent()
    },
    onShow() {
      
    },
    methods: {
        getcontent() {
			// privacy  content
			var data = {
				type:this.type
			}
			if(this.uniacid > 0) data.uniacid = this.uniacid
            this.$api.sendRequest({
               	url: '/api/config/agreement',
				data:data,
                success: res => {
					console.log(res.data.title)
					uni.setNavigationBarTitle({
						title:res.data.title
					})
					this.content = res.data.content
				}                   
            });
        }
    }
};
</script>

<style lang="scss">

</style>